"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.initPlatformExtension = exports.platform = void 0;
const glob_1 = __importDefault(require("glob"));
const path_1 = require("path");
const log_1 = require("../log");
const platformMap = {};
function platform(name) {
    return function (target) {
        platformMap[name] = target;
    };
}
exports.platform = platform;
function initPlatformExtension() {
    return __awaiter(this, void 0, void 0, function* () {
        const files = glob_1.default.sync(path_1.join(__dirname, '../extension/**/*.js'));
        files.forEach((file) => {
            require(file);
            log_1.info(`Loaded extension ${file}`);
        });
        return platformMap;
    });
}
exports.initPlatformExtension = initPlatformExtension;
//# sourceMappingURL=platform.js.map