"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Github = void 0;
const base_1 = require("../base");
const log_1 = require("../../log");
const platform_1 = require("../../decorator/platform");
let Github = class Github extends base_1.Base {
    constructor() {
        super(...arguments);
        this.headers = {};
        this.articleMap = {};
    }
    getMain() {
        return __awaiter(this, void 0, void 0, function* () {
            const { config } = this;
            const { data } = yield this.axios.get(`https://api.github.com/repos/${config.userId}/${config.repo}/issues`);
            const ids = [];
            for (const item of data) {
                if (item.user.login !== config.userId) {
                    continue;
                }
                ids.push(item.id);
                this.articleMap[item.id] = item;
            }
            log_1.info('获取github数据完成');
            return ids;
        });
    }
    getDetail(id) {
        return __awaiter(this, void 0, void 0, function* () {
            const item = this.articleMap[id];
            return {
                title: item.title,
                date: new Date(item.created_at).toLocaleString('en-US', {
                    timeZone: 'Asia/Shanghai',
                }),
                tags: item.labels.map((x) => x.name),
                content: item.body,
                categories: item.labels.map((x) => x.name),
            };
        });
    }
};
Github = __decorate([
    platform_1.platform('github')
], Github);
exports.Github = Github;
//# sourceMappingURL=index.js.map