"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.JuejinBook = void 0;
const base_1 = require("../base");
const decorator_1 = require("../../decorator");
const platform_1 = require("../../decorator/platform");
const sitdown_1 = require("sitdown");
const sitdown = new sitdown_1.Sitdown({
    keepFilter: ['style'],
    codeBlockStyle: 'fenced',
    bulletListMarker: '-',
    hr: '---',
});
let JuejinBook = class JuejinBook extends base_1.Base {
    constructor() {
        super(...arguments);
        this.headers = {
        // 'user-agent':
        //   'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/105.0.0.0 Safari/537.36',
        // cookie: this.config.cookie,
        // 'content-type': 'application/json'
        };
        this.bookTitle = '';
    }
    getMain() {
        var _a, _b, _c, _d;
        return __awaiter(this, void 0, void 0, function* () {
            const { data, config } = yield this.axios.post('https://api.juejin.cn/booklet_api/v1/booklet/get', {
                booklet_id: `${this.config.userId}`,
            });
            this.bookTitle = (_c = (_b = (_a = data === null || data === void 0 ? void 0 : data.data) === null || _a === void 0 ? void 0 : _a.booklet) === null || _b === void 0 ? void 0 : _b.base_info) === null || _c === void 0 ? void 0 : _c.title;
            return (_d = data === null || data === void 0 ? void 0 : data.data) === null || _d === void 0 ? void 0 : _d.sections.map((x) => x.section_id);
        });
    }
    getDetail(id) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j;
        return __awaiter(this, void 0, void 0, function* () {
            const { data } = yield this.axios.post('https://api.juejin.cn/booklet_api/v1/section/get', {
                section_id: id,
            });
            return {
                title: (_b = (_a = data === null || data === void 0 ? void 0 : data.data) === null || _a === void 0 ? void 0 : _a.section) === null || _b === void 0 ? void 0 : _b.title,
                tags: this.bookTitle ? [this.bookTitle] : [],
                content: ((_d = (_c = data === null || data === void 0 ? void 0 : data.data) === null || _c === void 0 ? void 0 : _c.section) === null || _d === void 0 ? void 0 : _d.markdown_show) || sitdown.HTMLToMD((_g = (_f = (_e = data === null || data === void 0 ? void 0 : data.data) === null || _e === void 0 ? void 0 : _e.section) === null || _f === void 0 ? void 0 : _f.content) !== null && _g !== void 0 ? _g : ""),
                categories: this.bookTitle ? [this.bookTitle] : [],
                date: new Date(Number((_j = (_h = data === null || data === void 0 ? void 0 : data.data) === null || _h === void 0 ? void 0 : _h.section) === null || _j === void 0 ? void 0 : _j.ctime) * 1000).toLocaleString('en-US', {
                    timeZone: 'Asia/Shanghai',
                }),
            };
        });
    }
};
__decorate([
    decorator_1.catchCount()
], JuejinBook.prototype, "getDetail", null);
JuejinBook = __decorate([
    platform_1.platform('juejin_book')
], JuejinBook);
exports.JuejinBook = JuejinBook;
//# sourceMappingURL=index.js.map